Bug 322196 - Display current group when moving along with arrow keys
Summary: Display current group when moving along with arrow keys
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: 0.6.1
Platform: Ubuntu Packages Linux
: NOR minor
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-10 13:52 UTC by Jaume
Modified: 2013-07-24 19:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.6.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaume 2013-07-10 13:52:32 UTC
I'm now on Telepathy (moving from Kopete) and I use only the keyboard for moving and filtering the contact list. When moving up and down with the arrow keys to select a contact, some groups are folded and I don't know where I am until I got over a contact.
You should add a visually mark when moving over groups (maybe the same of mouse over).

Reproducible: Always

Steps to Reproduce:
1. Open the contact list
2. Moving over groups with up/down arrow keys
Actual Results:  
None

Expected Results:  
Visually identify the group you are on
Comment 1 David Edmundson 2013-07-24 19:13:11 UTC
Git commit 4b16b56718838d5134fb3581f8bad752b05ca949 by David Edmundson, on behalf of Daniel Cohen.
Committed on 24/07/2013 at 19:00.
Pushed by davidedmundson into branch 'kde-telepathy-0.6'.

Simulates mouseover to highlight group-arrow when selected with keyboard
FIXED-IN: 0.6.3
Reviewed-by: David Edmundson

M  +4    -0    abstract-contact-delegate.cpp

http://commits.kde.org/telepathy-contact-list/4b16b56718838d5134fb3581f8bad752b05ca949